org.python.core

## Interface BufferProtocol

- All Known Subinterfaces:
    PyBuffer
  All Known Implementing Classes:
    Base1DBuffer, BaseArrayBuffer, BaseBuffer, BaseNIOBuffer, Py2kBuffer, PyArray, PyArrayDerived, PyByteArray, PyByteArrayDerived, PyMemoryView, PyShadowString, PyString, PyStringDerived, PyUnicode, PyUnicodeDerived, SimpleBuffer, SimpleNIOBuffer, SimpleStringBuffer, SimpleWritableBuffer, Strided1DBuffer, Strided1DNIOBuffer, Strided1DWritableBuffer, SyspathArchive, ZeroByteBuffer

      public interface BufferProtocol

  Interface marking an object as capable of exposing its internal state as a `PyBuffer`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyBuffer` | `getBuffer(int flags)` Method by which the consumer requests the buffer from the exporter.

- - ### Method Detail

    - #### getBuffer

          PyBuffer getBuffer(int flags)
                      throws PyException

      Method by which the consumer requests the buffer from the exporter. The consumer provides information on its intended method of navigation and the features the buffer object is asked (or assumed) to provide. Each consumer requesting a buffer in this way, when it has finished using it, should make a corresponding call to `PyBuffer.release()` on the buffer it obtained, since some objects alter their behaviour while buffers are exported.
      Parameters:
        `flags` - specifying features demanded and the navigational capabilities of the consumer
      Returns:
        exported buffer
      Throws:
        `PyException` - (BufferError) when expectations do not correspond with the buffer

Jython homepage